## org.apache.lucene.codecs.sep
Class IntIndexOutput.Index

    java.lang.Object
      org.apache.lucene.codecs.sep.IntIndexOutput.Index

Enclosing class:
  IntIndexOutput

    public abstract static class IntIndexOutput.Index

extends Object

Records a single skip-point in the IndexOutput.

Constructor Summary
`IntIndexOutput.Index()`

Method Summary
`abstract void` `copyFrom(IntIndexOutput.Index other, boolean copyLast)` Copies index from other
`abstract void` `mark()` Internally records the current location
`abstract void` `write(IndexOutput indexOut, boolean absolute)` Writes "location" of current output pointer of primary output to different output (out)

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IntIndexOutput.Index

    public IntIndexOutput.Index()

Method Detail

### mark

    public abstract void mark()
                       throws IOException

  Internally records the current location

  Throws:
    `IOException`

### copyFrom

    public abstract void copyFrom(IntIndexOutput.Index other,
                                  boolean copyLast)
                           throws IOException

  Copies index from other

  Throws:
    `IOException`

### write

    public abstract void write(IndexOutput indexOut,
                               boolean absolute)
                        throws IOException

  Writes "location" of current output pointer of primary output to different output (out)

  Throws:
    `IOException`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.